Bug 804306 - SELinux avc complaints during install
SELinux avc complaints during install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 12:40 EDT by John Reiser
Modified: 2013-07-04 09:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 07:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-03-17 12:40:38 EDT
Description of problem: During fresh install from DVD, syslog notes several avc complaints from SELinux.  Even if the install appears to succeed (such as perhaps because the installer runs with SELinux not enforcing), the avc messages are a symptom that the install image is not exquisitely correct.  This creates doubt about whether the result of install actually is correct.


Version-Release number of selected component (if applicable):
lorax-17.10-1.fc17.x86_64
anaconda-17.13-1.fc17.x86_64
selinux-policy-doc-3.10.0-95.fc17.noarch
selinux-policy-targeted-3.10.0-95.fc17.noarch


How reproducible: every time


Steps to Reproduce:
1. Build and burn install DVD using fedora-17-branched, fedora-17-updates, fedora-17-updates-testing and latest anaconda+lorax.
2. Boot DVD for fresh install; use defaults.
3. Look in /tmp/syslog for "avc:"
  
Actual results:
15:45:34,097 NOTICE kernel:[   37.112809] type=1400 audit(1331999120.598:3): avc:  denied  { write } for  pid=485 comm="loadkeys" name="python2.7" dev="dm-0" ino=83551 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir
15:45:34,106 NOTICE kernel:[   37.118585] type=1400 audit(1331999120.604:4): avc:  denied  { remove_name } for  pid=485 comm="loadkeys" name="site.pyc" dev="dm-0" ino=83641 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir
15:45:34,106 NOTICE kernel:[   37.118876] type=1400 audit(1331999120.604:5): avc:  denied  { unlink } for  pid=485 comm="loadkeys" name="site.pyc" dev="dm-0" ino=83641 scontext=system_u:system_r:loadkeys_t:s0 tcontext=unconfined_u:object_r:lib_t:s0 tclass=lnk_file
15:45:34,106 NOTICE kernel:[   37.125650] type=1400 audit(1331999120.611:6): avc:  denied  { add_name } for  pid=485 comm="loadkeys" name="site.pyc" scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir
15:45:34,106 NOTICE kernel:[   37.125984] type=1400 audit(1331999120.611:7): avc:  denied  { create } for  pid=485 comm="loadkeys" name="site.pyc" scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file
15:45:34,106 NOTICE kernel:[   37.126664] type=1400 audit(1331999120.613:8): avc:  denied  { write } for  pid=485 comm="loadkeys" name="site.pyc" dev="dm-0" ino=83641 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file
15:45:34,106 NOTICE kernel:[   37.643574] type=1400 audit(1331999121.129:9): avc:  denied  { create } for  pid=507 comm="systemd-tmpfile" name="tmp" scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
15:45:34,106 NOTICE kernel:[   37.644300] type=1400 audit(1331999121.130:10): avc:  denied  { setattr } for  pid=507 comm="systemd-tmpfile" name="tmp" dev="dm-0" ino=8653 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
15:45:34,106 NOTICE kernel:[   37.645234] type=1400 audit(1331999121.131:11): avc:  denied  { relabelfrom } for  pid=507 comm="systemd-tmpfile" name="tmp" dev="dm-0" ino=8653 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
15:45:34,115 NOTICE kernel:[   46.269730] type=1400 audit(1331999129.755:15): avc:  denied  { read } for  pid=485 comm="loadkeys" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
15:45:34,115 NOTICE kernel:[   46.269872] type=1400 audit(1331999129.755:16): avc:  denied  { open } for  pid=485 comm="loadkeys" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
15:45:34,115 NOTICE kernel:[   46.270234] type=1400 audit(1331999129.756:17): avc:  denied  { getattr } for  pid=485 comm="loadkeys" path="/proc/485/net/psched" dev="proc" ino=4026531977 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
15:45:34,115 NOTICE kernel:[   48.016080] type=1400 audit(1331999131.502:18): avc:  denied  { read } for  pid=485 comm="loadkeys" name="urandom" dev="devtmpfs" ino=4496 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
15:45:34,115 NOTICE kernel:[   48.016238] type=1400 audit(1331999131.503:19): avc:  denied  { open } for  pid=485 comm="loadkeys" name="urandom" dev="devtmpfs" ino=4496 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
15:45:34,115 NOTICE kernel:[   48.936836] type=1400 audit(1331999132.423:20): avc:  denied  { execute } for  pid=601 comm="bash" name="hostname" dev="dm-0" ino=76016 scontext=system_u:system_r:getty_t:s0 tcontext=system_u:object_r:hostname_exec_t:s0 tclass=file
15:45:34,115 NOTICE kernel:[   48.936999] type=1400 audit(1331999132.423:21): avc:  denied  { read open } for  pid=601 comm="bash" name="hostname" dev="dm-0" ino=76016 scontext=system_u:system_r:getty_t:s0 tcontext=system_u:object_r:hostname_exec_t:s0 tclass=file
15:45:34,115 NOTICE kernel:[   48.943293] type=1400 audit(1331999132.430:22): avc:  denied  { execute_no_trans } for  pid=601 comm="bash" path="/usr/bin/hostname" dev="dm-0" ino=76016 scontext=system_u:system_r:getty_t:s0 tcontext=system_u:object_r:hostname_exec_t:s0 tclass=file
15:45:34,115 NOTICE kernel:[   49.152508] type=1400 audit(1331999132.639:23): avc:  denied  { read } for  pid=598 comm="bash" name=".profile" dev="dm-0" ino=16885 scontext=system_u:system_r:getty_t:s0 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file
15:45:34,116 NOTICE kernel:[   49.152666] type=1400 audit(1331999132.639:24): avc:  denied  { open } for  pid=598 comm="bash" name=".profile" dev="dm-0" ino=16885 scontext=system_u:system_r:getty_t:s0 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file
15:45:36,494 NOTICE kernel:[   52.990829] type=1400 audit(1331999136.475:28): avc:  denied  { read } for  pid=597 comm="NetworkManager" name="sysctl.conf" dev="dm-0" ino=16520 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:system_conf_t:s0 tclass=file
15:45:36,495 NOTICE kernel:[   52.992633] type=1400 audit(1331999136.479:29): avc:  denied  { open } for  pid=597 comm="NetworkManager" name="sysctl.conf" dev="dm-0" ino=16520 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:system_conf_t:s0 tclass=file
15:45:36,498 NOTICE kernel:[   53.000597] type=1400 audit(1331999136.486:30): avc:  denied  { getattr } for  pid=597 comm="NetworkManager" path="/etc/sysctl.conf" dev="dm-0" ino=16520 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:system_conf_t:s0 tclass=file
15:45:47,539 NOTICE kernel:[   64.039409] type=1400 audit(1331999147.526:31): avc:  denied  { append } for  pid=653 comm="auditd" path="/tmp/anaconda.log" dev="dm-0" ino=8663 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file
15:45:47,540 NOTICE kernel:[   64.042348] type=1400 audit(1331999147.529:32): avc:  denied  { read write } for  pid=653 comm="auditd" path="/dev/mapper/control" dev="devtmpfs" ino=7004 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:lvm_control_t:s0 tclass=chr_file
15:45:47,541 NOTICE kernel:[   64.044395] type=1400 audit(1331999147.531:33): avc:  denied  { read write } for  pid=653 comm="auditd" path=2F746D702F6666696F6D46764F75202864656C6574656429 dev="dm-0" ino=8668 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file
15:45:47,548 NOTICE kernel:[   64.056198] type=1400 audit(1331999147.543:34): avc:  denied  { read } for  pid=653 comm="auditd" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
15:45:47,549 NOTICE kernel:[   64.058381] type=1400 audit(1331999147.545:35): avc:  denied  { open } for  pid=653 comm="auditd" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
15:45:47,552 NOTICE kernel:[   64.062612] type=1400 audit(1331999147.549:36): avc:  denied  { getattr } for  pid=653 comm="auditd" path="/proc/653/net/psched" dev="proc" ino=4026531977 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file


Expected results: no complaints


Additional info:
Comment 1 Daniel Walsh 2012-03-20 11:54:33 EDT
Fixed in selinux-policy-3.10.0-104
Comment 2 John Reiser 2012-03-20 20:42:22 EDT
selinux-policy-3.10.0-104.fc17.noarch, in user-built anaconda install DVD using pungi with private repo containing packages downloaded from successful koji build, still gives these errors [they look like the same ones]:

23:52:01,925 NOTICE kernel:[   19.314166] type=1400 audit(1332287510.017:3): avc:  denied  { write } for  pid=435 comm="loadkeys" name="python2.7" dev="dm-0" ino=34233 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir
23:52:01,925 NOTICE kernel:[   19.314374] type=1400 audit(1332287510.017:4): avc:  denied  { remove_name } for  pid=435 comm="loadkeys" name="site.pyc" dev="dm-0" ino=34323 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir
23:52:01,925 NOTICE kernel:[   19.314576] type=1400 audit(1332287510.017:5): avc:  denied  { unlink } for  pid=435 comm="loadkeys" name="site.pyc" dev="dm-0" ino=34323 scontext=system_u:system_r:loadkeys_t:s0 tcontext=unconfined_u:object_r:lib_t:s0 tclass=lnk_file
23:52:01,925 NOTICE kernel:[   19.317048] type=1400 audit(1332287510.020:6): avc:  denied  { add_name } for  pid=435 comm="loadkeys" name="site.pyc" scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir
23:52:01,925 NOTICE kernel:[   19.317260] type=1400 audit(1332287510.020:7): avc:  denied  { create } for  pid=435 comm="loadkeys" name="site.pyc" scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   19.317509] type=1400 audit(1332287510.020:8): avc:  denied  { write } for  pid=435 comm="loadkeys" name="site.pyc" dev="dm-0" ino=34323 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   19.877844] type=1400 audit(1332287510.581:9): avc:  denied  { create } for  pid=457 comm="systemd-tmpfile" name="tmp" scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
23:52:01,925 NOTICE kernel:[   19.881187] type=1400 audit(1332287510.585:10): avc:  denied  { setattr } for  pid=457 comm="systemd-tmpfile" name="tmp" dev="dm-0" ino=16972 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
23:52:01,925 NOTICE kernel:[   19.881662] type=1400 audit(1332287510.585:11): avc:  denied  { relabelfrom } for  pid=457 comm="systemd-tmpfile" name="tmp" dev="dm-0" ino=16972 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=dir
23:52:01,925 NOTICE kernel:[   27.492647] type=1400 audit(1332287518.196:20): avc:  denied  { read } for  pid=435 comm="loadkeys" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   27.492682] type=1400 audit(1332287518.196:21): avc:  denied  { open } for  pid=435 comm="loadkeys" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   27.492726] type=1400 audit(1332287518.196:22): avc:  denied  { getattr } for  pid=435 comm="loadkeys" path="/proc/435/net/psched" dev="proc" ino=4026531977 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   29.627991] type=1400 audit(1332287520.331:23): avc:  denied  { read } for  pid=435 comm="loadkeys" name="urandom" dev="devtmpfs" ino=4473 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
23:52:01,925 NOTICE kernel:[   29.628074] type=1400 audit(1332287520.332:24): avc:  denied  { open } for  pid=435 comm="loadkeys" name="urandom" dev="devtmpfs" ino=4473 scontext=system_u:system_r:loadkeys_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
23:52:01,925 NOTICE kernel:[   30.344928] type=1400 audit(1332287521.048:25): avc:  denied  { execute } for  pid=601 comm="bash" name="hostname" dev="dm-0" ino=35269 scontext=system_u:system_r:getty_t:s0 tcontext=system_u:object_r:hostname_exec_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   30.344980] type=1400 audit(1332287521.048:26): avc:  denied  { read open } for  pid=601 comm="bash" name="hostname" dev="dm-0" ino=35269 scontext=system_u:system_r:getty_t:s0 tcontext=system_u:object_r:hostname_exec_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   30.345074] type=1400 audit(1332287521.049:27): avc:  denied  { execute_no_trans } for  pid=601 comm="bash" path="/usr/bin/hostname" dev="dm-0" ino=35269 scontext=system_u:system_r:getty_t:s0 tcontext=system_u:object_r:hostname_exec_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   30.626852] type=1400 audit(1332287521.330:28): avc:  denied  { read } for  pid=598 comm="bash" name=".profile" dev="dm-0" ino=106821 scontext=system_u:system_r:getty_t:s0 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file
23:52:01,925 NOTICE kernel:[   30.626900] type=1400 audit(1332287521.330:29): avc:  denied  { open } for  pid=598 comm="bash" name=".profile" dev="dm-0" ino=106821 scontext=system_u:system_r:getty_t:s0 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file
23:52:10,723 NOTICE kernel:[   40.006220] type=1400 audit(1332287530.709:33): avc:  denied  { append } for  pid=653 comm="auditd" path="/tmp/anaconda.log" dev="dm-0" ino=98752 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file
23:52:10,723 NOTICE kernel:[   40.008469] type=1400 audit(1332287530.712:34): avc:  denied  { read write } for  pid=653 comm="auditd" path="/dev/mapper/control" dev="devtmpfs" ino=6965 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:lvm_control_t:s0 tclass=chr_file
23:52:10,723 NOTICE kernel:[   40.010229] type=1400 audit(1332287530.714:35): avc:  denied  { read write } for  pid=653 comm="auditd" path=2F746D702F6666694642356F795A202864656C6574656429 dev="dm-0" ino=98756 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file
23:52:10,724 NOTICE kernel:[   40.014330] type=1400 audit(1332287530.718:36): avc:  denied  { read } for  pid=653 comm="auditd" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
23:52:10,724 NOTICE kernel:[   40.016186] type=1400 audit(1332287530.720:37): avc:  denied  { open } for  pid=653 comm="auditd" name="psched" dev="proc" ino=4026531977 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
23:52:10,726 NOTICE kernel:[   40.019382] type=1400 audit(1332287530.723:38): avc:  denied  { getattr } for  pid=653 comm="auditd" path="/proc/653/net/psched" dev="proc" ino=4026531977 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
00:10:02,029 INFO dbus: avc:  received policyload notice (seqno=2)

Having checked the install messages when the initrd.img was first created during my pungi run, I'm reasonably sure that selinux-policy-3.10.0-104 is the actual version of the system that runs from the DVD during the install.  However, I cannot find such an identifying message in the anaconda logs that are written to /tmp during the install.  The installed /root/install.log does say that selinux-policy-3.10.0-104.fc17.noarch was the version that was fresh installed into the target.
Comment 3 Daniel Walsh 2012-03-21 09:34:59 EDT
I don't know if I marked this fixed by mistake.

Anyways,


Looking at your AVC's.

You have python code trying to compile it self and write these generate allow rules like

allow loadkeys_t lib_t:dir { write remove_name add_name };
allow loadkeys_t lib_t:file { write create };
allow loadkeys_t lib_t:lnk_file unlink;

Which we will never allow, the site.pyc has to be shipped in an rpm or run before any confined domains touch it.

Is loadkeys in this environment a python script?

Looks like there is some kind of wacky transitions going on since you have getty_t running bash and hostname?

Instead of using /tmp/anaconda.log can you use /var/log/anaconda.log, then apps will be allowed to append to it.

Some app is leaking an open file descriptor to /dev/mapper/control

I will add a rule to allow auditd to read the network state.

Looks like you have a mislabled /var/tmp within your pungi environment.
Probably need the script that creates /var/tmp to execute restorecon on it.
Comment 4 John Reiser 2012-03-21 12:04:02 EDT
> Looks like you have a mislabled /var/tmp within your pungi environment.
> Probably need the script that creates /var/tmp to execute restorecon on it.

Hmmm.  What I do is:
-----
mkdir -p      /dev/shm/pungi-$$
restorecon    /dev/shm/pungi-$$  # change from user_tmpfs_t to device_t
export TMPDIR=/dev/shm/pungi-$$
ln -s $DESTDIR/work/$ARCH $TMPDIR

setenforce 0

pungi ...
-----
because using tmpfs (RAM) instead of SATA (harddrive) saves some minutes of time (>10% of a 20-minute run).  Or at least it did at some point during the last couple years.  It would be even better if pungi/yum/lorax honored TMPDIR and adjusted pathnames appropriately for use under chroot().  But the maintainer of pungi has not been interested.
Comment 5 Martin Gracik 2012-03-21 12:25:12 EDT
Lorax uses the default TMPDIR if you don't supply the workdir argument to the run() method. Otherwise it uses what you give it. So this just needs to be changed in pungi where lorax is called.
Comment 6 Will Woods 2012-04-13 17:25:04 EDT
'loadkeys' was a python replacement for the actual 'loadkeys' binary, which (AFAICT) existed to save like ~100KB on the installer image, back when that was actually worth caring about. I think we can just use the normal 'loadkeys' binary and most of those messages should go away.

Having done that, I'm left with these three AVC messages:

avc:  denied  { append } for  pid=748 comm="auditd" path="/tmp/anaconda.log" dev="dm-0" ino=33497 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file

avc:  denied  { read write } for  pid=748 comm="auditd" path="/dev/mapper/control" dev="devtmpfs" ino=7062 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:lvm_control_t:s0 tclass=chr_file

avc:  denied  { read write } for  pid=748 comm="auditd" path=2F746D702F666669473557414652202864656C6574656429 dev="dm-0" ino=33512 scontext=system_u:system_r:auditd_t:s0 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file

The first is anaconda.log. We could move it for F18 but doing it for F17 would be really hard. Can we just relabel it var_log_t?

The second is /dev/mapper/control. No idea where that comes from; if I had to guess I'd say it's probably LVM's fault :P

The third and final message.. no idea what's happening there. but it's more mapper junk, so I'd guess it's associated.

Basically, I think most of this could be fixed by *not* replacing loadkeys with our weirdo loadkeys. I'll try switching that over and see how/if that helps.
Comment 7 Fedora Update System 2012-04-23 15:00:24 EDT
lorax-17.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.16-1.fc17
Comment 8 Fedora Update System 2012-04-23 23:19:13 EDT
Package lorax-17.16-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-17.16-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6491/lorax-17.16-1.fc17
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.